Package: org.apache.groovy.json.internal

## [Java] Class ReaderCharacterSource

- org.apache.groovy.json.internal.ReaderCharacterSource

- All Implemented Interfaces and Traits:
    CharacterSource

      public class ReaderCharacterSource
      extends Object
      implements CharacterSource

- - ### Constructor Summary

    Constructors
    Constructor and description
    `ReaderCharacterSource(Reader reader, int readAheadSize)`
    `ReaderCharacterSource(Reader reader)`
    `ReaderCharacterSource(String string)`

  - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `public final boolean` | `consumeIfMatch(char[] match)`
    `` | `public final int` | `currentChar()`
    `` | `public String` | `errorDetails(String message)`
    `` | `public char[]` | `findNextChar(int match, int esc)`
    `` | `public boolean` | `hadEscape()`
    `` | `public final boolean` | `hasChar()`
    `` | `public final int` | `location()`
    `` | `public final int` | `nextChar()`
    `` | `public char[]` | `readNumber()`
    `` | `public final int` | `safeNextChar()`
    `` | `public void` | `skipWhiteSpace()`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class Object` | `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### public ReaderCharacterSource(Reader reader, int readAheadSize)

    - #### public ReaderCharacterSource(Reader reader)

    - #### public ReaderCharacterSource(String string)

  - ### Method Detail

    - #### @Override
      public final boolean consumeIfMatch(char[] match)

    - #### @Override
      public final int currentChar()

    - #### @Override
      public String errorDetails(String message)

    - #### @Override
      public char[] findNextChar(int match, int esc)

    - #### @Override
      public boolean hadEscape()

    - #### @Override
      public final boolean hasChar()

    - #### @Override
      public final int location()

    - #### @Override
      public final int nextChar()

    - #### @Override
      public char[] readNumber()

    - #### @Override
      public final int safeNextChar()

    - #### @Override
      public void skipWhiteSpace()